Package jakarta.servlet.http

## Interface HttpSessionActivationListener

- All Superinterfaces:
    `java.util.EventListener`

      public interface HttpSessionActivationListener
      extends java.util.EventListener

  Objects that are bound to a session may listen to container events notifying them that sessions will be passivated and that session will be activated. A container that migrates session between VMs or persists sessions is required to notify all attributes bound to sessions implementing HttpSessionActivationListener.
  Since:
    Servlet 2.3

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `sessionDidActivate​(HttpSessionEvent se)` | Notification that the session has just been activated.
    `default void` | `sessionWillPassivate​(HttpSessionEvent se)` | Notification that the session is about to be passivated.

- - ### Method Detail

    - #### sessionWillPassivate

          default void sessionWillPassivate​(HttpSessionEvent se)

      Notification that the session is about to be passivated. The default implementation is a NO-OP.
      Parameters:
        `se` - Information about the session this is about to be passivated

    - #### sessionDidActivate

          default void sessionDidActivate​(HttpSessionEvent se)

      Notification that the session has just been activated. The default implementation is a NO-OP.
      Parameters:
        `se` - Information about the session this has just been activated